type Props = {
  onSelect: (id: number) => void;
};

const ExpensiveList: React.FC<Props> = ({ onSelect }) => {
  console.log('ExpensiveList render');
  return (
    <ul>
      <li onClick={() => onSelect(1)}>Item 1</li>
      <li onClick={() => onSelect(2)}>Item 2</li>
      <li onClick={() => onSelect(3)}>Item 3</li>
    </ul>
  );
};

export default ExpensiveList;
